XP Manchester

Session PreReqs for Crushing Legacy Code session on 9th May

leave a comment »

 

Please note that due to previous events being full we have used Eventbrite with this one. Please don’t turn up unless you registered there.

It’s just over a week to go until the next XPMan. Just a few things I’d like to let you all know before the event.

This is a practical session so laptops will be required.If you don’t have one though don’t worry as we pair up and I’m sure there will be enough to go around.

The code we will supply covers the following languages with the following prerequisites:

  • Java
  • Python
  • C++ (requires C++ compiler like gcc and GTest)
  • Ruby
  • C#
  • C (requires C compiler and CppUTest)
  • Javascript (requires an HTML5 compliant browser)
Generally folks will just need to bring along their standard dev environment for their preferred language.
On top of this Mac & Linux users should be able to run a bash script; Windows users should have Powershell installed.
 
Having Git installed would also be useful but not essential.
Advertisements

Written by johnnonolan

April 30, 2013 at 9:09 pm

Posted in Uncategorized

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: